Skip to content

Google Maps Places API

prod-global
GET
/api/v1/google/maps/places

Get comprehensive details about specific locations using the Google Maps Places API. Scrape contact info, business hours, coordinates, and more from Google Maps for millions of locations worldwide. Perfect for directory sites, delivery apps, and local service guides.

Tags: Google API

Parameters

NameRequiredTypeDefaultDescription
place_idNostringThe unique Google Place ID. Obtainable via the Google Maps Search API. Use this or 'data_id'.
data_idNostringThe unique Google Maps location data ID. Use this or 'place_id'.
countryNostringusSet the target country code (e.g., 'us', 'uk') to localize results. See Google Countries.

Copy Request

bash
curl -X GET "https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE" \
  -H "X-API-Key: YOUR_API_KEY"
js
const res = await fetch("https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE", {
  headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);
python
import requests

url = "https://api.justserpapi.com/api/v1/google/maps/places"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
  "place_id": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
php
<?php
$url = "https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE", nil)
	req.Header.Set("X-API-Key", "YOUR_API_KEY")
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}

Response

Example:

json
{
  "code": 200,
  "message": "success",
  "data": {
    "place_results": {
      "title": "Coffee Lab Kaiserhöfe",
      "data_id": "0x47a85156f701e641:0xa5c9f911bd450917",
      "rating": 4.3,
      "gps_coordinates": {
        "latitude": 52.5175597,
        "longitude": 13.3878179
      },
      "provider_id": "/g/11k_d3w0_h",
      "thumbnail": "https://lh3.googleusercontent.com/gps-cs-s/AHVAweoXpNf8ixcWtgd1-M8TUtdEy27WnDqG2o0y08NKSnjRWpzrr8SVmnBkga1eKIf6-tNK-HsdzWjDIpLBeNp4sSykGU9n36G-UqEQOlmlhlHOk5M5CW0JLJqr8czas1_fORHFiiFLrQ=w152-h86-k-no",
      "type": [
        "Coffee shop",
        "Bagel shop",
        "Bakery",
        "Pastry shop",
        "Patisserie"
      ],
      "type_ids": [
        "coffee_shop",
        "bagel_shop",
        "bakery",
        "pastry_shop",
        "patisserie"
      ],
      "order_online": null,
      "extensions": [
        {
          "accessibility": [
            "Wheelchair accessible entrance",
            "Wheelchair accessible seating"
          ]
        }
      ],
      "unsupported_extensions": [],
      "address": "Unter den Linden 28a,10117 Berlin,Germany",
      "phone": "+493027692663",
      "hours": [
        {
          "Thursday": "8 AM–5 PM"
        }
      ],
      "open_state": "Thursday"
    }
  },
  "requestId": "9effef9e-e616-4afa-bd51-f6fcac78729c",
  "timestamp": 1772104541361
}